package com.ruoyi.demo.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.Statistics;
import com.ruoyi.demo.entity.bo.PlanBo;
import com.ruoyi.demo.service.StatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/statistics")
public class StatisticsController {
    @Autowired
    StatisticsService statisticsService;

    @GetMapping("/scanList")
    public R scanList(@RequestBody PlanBo bo){
        return R.ok(statisticsService.getScanList(bo));
    }

    @GetMapping("/total")
    public R scanTotal(){
        return R.ok(statisticsService.getScanTotal());
    }

    @PostMapping()
    public R add(@RequestBody Statistics bo){
        int i = statisticsService.add(bo);
        if (i == 1)
            return R.ok("添加成功");
        return R.fail("添加失败");
    }
}
